<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:gravity="center"
        android:visibility="gone"
        android:paddingVertical="10mm"
     >

        <Button
            android:id="@+id/btn_refuse"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_red_circle"
            android:paddingHorizontal="40mm"
            android:text="驳回"
            android:textColor="@color/white" />

        <Button
            android:id="@+id/btn_agree"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20mm"
            android:background="@drawable/shape_blue_circle"
            android:paddingHorizontal="40mm"
            android:text="通过"
            android:textColor="@color/white" />
    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/ll_bottom">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_reason"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:orientation="vertical"
                android:paddingHorizontal="23mm"
                android:paddingVertical="20mm"
                android:visibility="gone">

                <TextView
                    android:layout_width="78dp"
                    android:layout_height="22dp"
                    android:text="驳回理由："
                    android:textColor="#ffcb5050"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_reason"
                    android:layout_width="140dp"
                    android:layout_height="22dp"
                    android:text="这是一条狠心的驳回"
                    android:textColor="#ffcb5050"
                    android:textSize="15sp" />
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="客户信息"
                    android:textSize="18sp" />

                <ImageView
                    android:id="@+id/iv_modify_client"
                    android:layout_width="22mm"
                    android:layout_height="22mm"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:src="@mipmap/mes_modify" />

            </RelativeLayout>


            <RelativeLayout
                android:id="@+id/rl_client"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="客户信息"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_client"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="所属销售公司"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_sale"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="销售经理"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_manager"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="炼钢基本信息"
                    android:textSize="18sp" />

                <ImageView
                    android:id="@+id/iv_modify_steel"
                    android:layout_width="22mm"
                    android:layout_height="22mm"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:src="@mipmap/mes_modify" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="炼钢厂"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_factory"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="年产量"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="钢种"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />

            </RelativeLayout>


            <View style="@style/dividerX" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:orientation="horizontal"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:id="@+id/tv_factory_desc1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="炼钢炉"
                    android:textSize="15sp" />


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_factory_data1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>


            <View style="@style/dividerX" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:orientation="horizontal"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:id="@+id/tv_factory_desc2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="精炼炉"
                    android:textSize="15sp" />


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_factory_data2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:orientation="vertical"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:id="@+id/tv_factory_desc3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="钢包"
                    android:textSize="15sp" />


                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_factory_data3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="连铸机"
                    android:textSize="18sp" />

                <ImageView
                    android:id="@+id/iv_modify_machine"
                    android:layout_width="22mm"
                    android:layout_height="22mm"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:src="@mipmap/mes_modify" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="连铸机类型"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_machine_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="断面"
                    android:textSize="14sp" />


                <TextView
                    android:id="@+id/tv_section"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="钢种"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_steel_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="拉速"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_speed"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:background="@null"
                    android:textSize="14sp" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_middle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="中间包参数"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:src="@mipmap/mes_arrow_down" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:id="@+id/ll_middle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:orientation="vertical"
                android:paddingHorizontal="20mm">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="容量"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="寿命"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="类型"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="液位"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="钢水温度"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle5"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="烘烤方式"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle6"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="烘烤温度"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle7"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="烘烤时间"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_middle8"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>
            </LinearLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_cover"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="中间包覆盖剂"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:src="@mipmap/mes_arrow_down" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:id="@+id/ll_cover"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:orientation="vertical"
                android:paddingHorizontal="20mm">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView

                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="名称"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_cover1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="酸碱度"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_cover2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="化学成分"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_cover3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="供应商"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_cover4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>
            </LinearLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_protection"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="结晶器保护渣"
                    android:textSize="14sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:src="@mipmap/mes_arrow_down" />
            </RelativeLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:id="@+id/ll_protection"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:orientation="vertical"
                android:paddingHorizontal="20mm">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="名称"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_protection1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="酸碱度"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_protection2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="化学成分"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_protection3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:paddingVertical="9mm"
                    android:paddingLeft="25mm">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:text="供应商"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />


                    <TextView
                        android:id="@+id/tv_protection4"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_marginRight="3mm"
                        android:background="@null"
                        android:textSize="14sp" />
                </RelativeLayout>
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="添加连铸三大件"
                    android:textSize="15sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="right"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_data1"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <TextView
                        android:id="@+id/tv_add1"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="添加 +"
                        android:textSize="16sp" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:background="@android:color/white"
                android:gravity="right"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="供货记录"
                    android:textSize="15sp" />
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="right"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_data2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <TextView
                        android:id="@+id/tv_add2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="添加 +"
                        android:textSize="16sp" />
                </LinearLayout>

            </RelativeLayout>


            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="其他供应商供货情况"
                    android:textSize="15sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="right"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_data3"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="right" />


                    <TextView
                        android:id="@+id/tv_add3"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="添加 +"
                        android:textSize="16sp" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="库存记录"
                    android:textSize="15sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="right"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_data5"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <TextView
                        android:id="@+id/tv_add5"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="添加 +"
                        android:textSize="16sp" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="其他中包耐材记录"
                    android:textSize="15sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="right"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_data4"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <TextView
                        android:id="@+id/tv_add4"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="添加 +"
                        android:textSize="16sp" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="中间包承包与结算情况"
                    android:textSize="15sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="right"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_data6"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <TextView
                        android:id="@+id/tv_add6"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:text="添加 +"
                        android:textSize="16sp" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rl_add"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:layout_marginBottom="30mm"
                android:background="@android:color/white"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:text="中间包承包与结算情况"
                    android:textSize="14sp" />


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="3mm"
                    android:text="+添加"
                    android:textSize="14sp" />
            </RelativeLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>